MillionSend Docs

/templates/{id}

PATCH
/templates/{id}

Path Parameters

id*string

Template id or alias

Length1 <= length

Request Body

application/json
  1. body
name?string
Length1 <= length <= 200
subject?string

"" or null clears the subject

Lengthlength <= 998
html?string
Length1 <= length <= 500000
text?string
Lengthlength <= 500000
alias?string

null clears the alias

Match^[A-Za-z0-9][A-Za-z0-9._-]*$
Length1 <= length <= 100
from?string

Not supported yet: any value is a 422

reply_to?|array<string>|

Not supported yet: any value is a 422

variables?array<unknown>

Not supported yet: a non-empty list is a 422

Response Body

Template updated (live immediately)

application/json
  1. response
object*"template"
Value in"template"
id*string
Formatuuid
Example Request
curl -X PATCH 'https://api.millionsend.com/templates/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "object": "template",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"}